<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>

<c:set var="fuseaction" value="${param.fuseaction}"/>

<c:if test="${((empty sessionScope.user) or (sessionScope.user=='')) and (fuseaction!='login')}" >
	<c:import url="dsp_login.jsp" />
  <c:import url="footer.jsp" />		
  </font></td></table>
  <%if(true) return;%>
</c:if>


<!--- layout and formatting is contained in the header --->
<c:if test="${(fuseaction!='dsp_login') and (fuseaction!='login') and (!empty fuseaction)}" >
  <c:import url="header.jsp" />
</c:if>

<c:choose>
	<c:when test="${fuseaction=='dsp_login'}">
    <c:import url="dsp_login.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='login'}">
    <c:import url="act_login.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='main'}">
    <c:import url="default.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='help'}">
    <c:import url="dsp_help.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='site_setup'}">
    <c:import url="funding/dsp_initiative_site_setup.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_site_setup'}">
    <c:import url="funding/act_initiative_site_setup.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='funding'}">
    <c:import url="funding/dsp_funding.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='modify_funding'}">
    <c:import url="funding/dsp_funding_modify.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_funding'}">
    <c:import url="funding/act_funding.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='modify_agencies'}">
    <c:import url="funding/dsp_agencies_modify.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_funding_agencies'}">
    <c:import url="funding/act_funding_agencies.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_delete_agency'}">
    <c:import url="funding/act_delete_agencies.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='list_cfp'}">
    <c:import url="cfp/dsp_cfp_list.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='show_cfp'}">
    <c:import url="cfp/dsp_cfp.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='modify_cfp'}">
    <c:import url="cfp/dsp_cfp_modify.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='cfp_edit_criteria'}">
    <c:import url="cfp/dsp_cfp_criteria_edit.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_cfp'}">
    <c:import url="cfp/act_cfp.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_cfp_criteria'}">
    <c:import url="cfp/act_cfp_criteria.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='cfp_criteria_import'}">
    <c:import url="cfp/act_cfp_criteria_import.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='delete_cfp'}">
    <c:import url="cfp/act_delete_cfp.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='cfp_category'}">
    <c:import url="cfp/dsp_cfp_cat.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_cfp_cat'}">
    <c:import url="cfp/act_cfp_cat.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='criteria'}">
    <c:import url="criteria/dsp_criteria.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='edit_criteria'}">
    <c:import url="criteria/dsp_edit_criteria.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_criteria'}">
    <c:import url="criteria/act_modify_criteria.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='dsp_minimum_values'}">
    <c:import url="criteria/dsp_minimum_values.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_minimum_values'}">
    <c:import url="criteria/act_minimum_values.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='reviewers'}">
    <c:import url="reviewers/dsp_reviewers.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='modify_reviewer'}">
    <c:import url="reviewers/dsp_modify_reviewers.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_reviewer'}">
    <c:import url="reviewers/act_reviewers.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='modify_coordinator'}">
    <c:import url="reviewers/dsp_modify_coordinators.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_coordinator'}">
    <c:import url="reviewers/act_coordinator.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='proposals'}">
    <c:import url="proposals/dsp_proposal_main.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='proposal_list'}">
    <c:import url="proposals/dsp_proposal_list.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='proposal_docs_list'}">
    <c:import url="proposals/dsp_proposal_docs_list.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='proposal_assign'}">
    <c:import url="proposals/dsp_proposal_assign.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_proposal_assign'}">
    <c:import url="proposals/act_proposal_assign.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_proposal_reviewer_delete'}">
    <c:import url="proposals/act_proposal_reviewer_delete.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='proposal_review'}">
    <c:import url="proposals/dsp_proposal_review.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='proposal_edit_review'}">
    <c:import url="proposals/dsp_edit_proposal_review.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_proposal_review'}">
    <c:import url="proposals/act_proposal_review.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_proposal_edit_review'}">
    <c:import url="proposals/act_edit_proposal_review.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='proposal_summary'}">
    <c:import url="proposals/dsp_proposal_summary.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='proposal_status'}">
    <c:import url="proposals/act_proposal_status.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='proposal_submit'}">
    <c:import url="proposals/dsp_proposal_submit.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_proposal_submit'}">
    <c:import url="proposals/act_proposal_submit.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='proposal_info'}">
    <c:import url="proposals/dsp_proposal_info.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='proposal_doc'}">
    <c:import url="proposals/dsp_proposal_doc.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_proposal_doc'}">
    <c:import url="proposals/act_proposal_doc.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='proposal_researcher'}">
    <c:import url="proposals/dsp_proposal_researcher.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_proposal_researcher'}">
    <c:import url="proposals/act_proposal_researcher.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='comm_main'}">
    <c:import url="communication/dsp_comm_main.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='comm_view_sent'}">
    <c:import url="communication/dsp_view_sent.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='comm_message_type'}">
    <c:import url="communication/dsp_comm_message_type.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='comm_email_archive'}">
    <c:import url="communication/dsp_comm_email_archive.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='comm_email_message'}">
    <c:import url="communication/dsp_comm_email_message.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='comm_email_members'}">
    <c:import url="communication/dsp_comm_email_members.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='comm_faq'}">
    <c:import url="communication/dsp_comm_faq.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_comm_faq'}">
    <c:import url="communication/act_comm_faq.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='comm_default_letters'}">
    <c:import url="communication/dsp_comm_default_letters.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='comm_default_letter_body'}">
    <c:import url="communication/dsp_comm_default_letter_body.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='edit_letter'}">
    <c:import url="communication/dsp_edit_letter.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_letters'}">
    <c:import url="communication/act_comm_default_letters.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='discuss_main'}">
    <c:import url="communication/dsp_discuss_main.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='discuss_edit'}">
    <c:import url="communication/dsp_discuss_edit.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_discuss_edit'}">
    <c:import url="communication/act_discuss_edit.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='gen_doc_add'}">
    <c:import url="communication/dsp_gen_doc_add.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='gen_doc_del'}">
    <c:import url="communication/dsp_gen_doc_del.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_gen_doc'}">
    <c:import url="communication/act_gen_doc.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='dsp_send_letters'}">
    <c:import url="communication/dsp_send_letters.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_send_letters'}">
    <c:import url="communication/act_send_letters.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='discuss_comment'}">
    <c:import url="discussion/dsp_discuss_comment.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_discuss_comment'}">
    <c:import url="discussion/act_discuss_comment.jsp" />		
	</c:when>
	<c:when test="${fuseaction == 'gen_doc_comment'}">
	<c:import url="discussion/dsp_gen_doc_comment.jsp"/>
	</c:when>
	<c:when test="${fuseaction=='act_gen_doc_comment'}">
    <c:import url="discussion/act_gen_doc_comment.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='admin_discuss_main'}">
    <c:import url="discussion/dsp_discuss_main.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='admin_discuss_edit'}">
    <c:import url="discussion/dsp_discuss_edit.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='admin_act_discuss_edit'}">
    <c:import url="discussion/act_discuss_edit.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='admin_gen_doc_add'}">
    <c:import url="discussion/dsp_gen_doc_add.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='admin_gen_doc_del'}">
    <c:import url="discussion/dsp_gen_doc_del.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='admin_act_gen_doc'}">
    <c:import url="discussion/act_gen_doc.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='lang_main'}">
    <c:import url="language/dsp_lang_main.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='add_phrase'}">
    <c:import url="language/dsp_add_phrase.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_add_phrase'}">
    <c:import url="language/act_add_phrase.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='add_lang'}">
    <c:import url="language/dsp_add_lang.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_add_lang'}">
    <c:import url="language/act_add_lang.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='lang_convert'}">
    <c:import url="language/dsp_lang_convert.jsp" />		
	</c:when>
	<c:when test="${fuseaction=='act_lang_convert'}">
    <c:import url="language/act_lang_convert.jsp" />		
	</c:when>
  
	<c:otherwise>
    <c:import url="dsp_login.jsp" />			
	</c:otherwise>
</c:choose>

<c:if test="${fuseaction!='login'}" >
  <c:import url="footer.jsp" />		
</c:if>

</font></td></table>














