<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>

<%/*<!--- PUBLIC Index Page for OPA (Online Proposal Appraisal) mangement system --->*/%>

<c:import url="public_header.jsp" />

<c:set var="fuseaction" value="${param.fuseaction}"/>

<c:choose>

	<c:when test="${fuseaction == 'main'}">
		<c:import url="default.jsp"/>
	</c:when>



	<c:when test="${fuseaction == 'archive_main'}">
		<c:import url="archive/dsp_archive_main.jsp"/>
	</c:when>

	<c:when test="${fuseaction == 'archive_proposal'}">
		<c:import url="archive/dsp_archive_proposal.jsp"/>
	</c:when>

	<c:when test="${fuseaction == 'archive_comment'}">
		<c:import url="archive/dsp_archive_comment.jsp"/>
	</c:when>

	<c:when test="${fuseaction == 'act_archive_comment'}">
		<c:import url="archive/act_archive_comment.jsp"/>
	</c:when>

	<c:when test="${fuseaction == 'dsp_reviewers'}">
		<c:import url="archive/dsp_reviewers.jsp"/>		
	</c:when>
		


	<c:when test="${fuseaction == 'discuss_comment'}">
		<c:import url="gen_discuss/dsp_discuss_comment.jsp"/>
	</c:when>

	<c:when test="${fuseaction == 'act_discuss_comment'}">
		<c:import url="gen_discuss/act_discuss_comment.jsp"/>
	</c:when>

	<c:when test="${fuseaction == 'gen_doc_comment'}">
		<c:import url="gen_discuss/dsp_gen_doc_comment.jsp"/>
	</c:when>
		
	<c:when test="${fuseaction == 'act_gen_doc_comment'}">
		<c:import url="gen_discuss/act_gen_doc_comment.jsp"/>
	</c:when>
		


	<c:when test="${fuseaction == 'cfp_list'}">
		<c:import url="cfp/dsp_cfp_list.jsp"/>
	</c:when>
		
	<c:when test="${fuseaction == 'cfp_info'}">
		<c:import url="cfp/dsp_cfp_info.jsp"/>
	</c:when>

	<c:when test="${fuseaction == 'cfp_eligibility'}">
		<c:import url="cfp/dsp_cfp_eligibility.jsp"/>
	</c:when>

	<c:when test="${fuseaction == 'cfp_proposal'}">
		<c:import url="cfp/dsp_proposal_submit.jsp"/>
	</c:when>

	<c:when test="${fuseaction == 'act_proposal_submit'}">
		<c:import url="cfp/act_proposal_submit.jsp"/>
	</c:when>
		


	<c:when test="${fuseaction == 'proposal_info'}">
		<c:import url="cfp/dsp_proposal_info.jsp"/>
	</c:when>

	<c:when test="${fuseaction == 'proposal_edit'}">
		<c:import url="cfp/dsp_proposal_edit.jsp"/>
	</c:when>

	<c:when test="${fuseaction == 'proposal_doc'}">
		<c:import url="cfp/dsp_proposal_doc.jsp"/>
	</c:when>

	<c:when test="${fuseaction == 'act_proposal_doc'}">
		<c:import url="cfp/act_proposal_doc.jsp"/>
	</c:when>

	<c:when test="${fuseaction == 'proposal_researcher'}">
		<c:import url="cfp/dsp_proposal_researcher.jsp"/>
	</c:when>

	<c:when test="${fuseaction == 'act_proposal_researcher'}">
		<c:import url="cfp/act_proposal_researcher.jsp"/>
	</c:when>



	<c:when test="${fuseaction == 'faq'}">
		<c:import url="faq/dsp_faq.jsp"/>
	</c:when>



	<c:when test="${fuseaction == 'help'}">
		<c:import url="dsp_help.jsp"/>
	</c:when>


	<c:otherwise>
		<c:import url="default.jsp"/>
	</c:otherwise>
</c:choose>

<c:import url="public_footer.jsp" />
